package com.uoc.tfc.Base.common;

/**
 * Classe: CodisMestre
 * 
 * @author ojaen
 * 
 * Classe que conte la informaci dels CodisMestre
 * 
 * 
 */
public class CodisMestre {
	/**
	 * Camp variable pel mestre Estat
	 */
	public static final int CODI_ESTAT_ALTA = 0;
	public static final int CODI_ESTAT_BAIXA = 1;


	/**
	 * Camp variable pel mestre TipusUsuari
	 */
	public static final int CODI_USUARI_ADMINISTRADOR = 0;
	public static final int CODI_USUARI_ADMINISTRATIU = 1;
	public static final int CODI_USUARI_PROFESSOR = 2;
	public static final int CODI_USUARI_ALUMNE = 3;
	public static final int CODI_USUARI_PARE = 4;
	
	/**
	 * Camp variable pel mestre Tipus Document
	 */
	public static final int CODI_TIPUS_DOCUMENT_NIF = 1;
	public static final int CODI_TIPUS_DOCUMENT_PASSAPORT =2;
	public static final int CODI_TIPUS_DOCUMENT_TAR_RES_COM =3;
	public static final int CODI_TIPUS_DOCUMENT_PER_RED_TRE =4;
	public static final int CODI_TIPUS_DOCUMENT_NIE =6;
	public static final int CODI_TIPUS_DOCUMENT_ALTRES = 9;


	/**
	 * Camp variable pel mestre Tipus Notificaci
	 */
	public static final int CODI_TIPUS_NOTIFICACIO_ESCOLA = 0;
	public static final int CODI_TIPUS_NOTIFICACIO_CURS = 1;
	public static final int CODI_TIPUS_NOTIFICACIO_AULA = 2;
	public static final int CODI_TIPUS_NOTIFICACIO_ASSIGNATURA = 3;
	
	
	
	/**
	 * Literals
	 *
	 */
	public static final String SESSIO_EXPIRADA="sessioexpirada";
	public static final String SUCCESS="success";
	public static final String FAILURE="failure";
	public static final String CONSULTA="Consulta";
	public static final String MODIFICA="Modifica";
	public static final String PERMIS="Permis";
	
	public static final String DO="do";
	public static final String PREPARE_CERCA="prepareCerca";
	public static final String RETORN_CERCA="retornCerca";
	



}
