package com.uoc.tfc.Base.mestres;

import java.io.Serializable;

/**
 * Mestre Provincia
 * @author ojaen
 *
 */
public class Provincia implements Serializable {
	
	/**
	 *
	 */
	private static final long serialVersionUID = -7516613424194296238L;

	public static final String ID_PROVINCIA = "idProvincia";

	private Integer idProvincia;
	private String descripcio;
	private Integer versio;


	/**
	 * Simple constructor de Provincia.
	 */
	public Provincia()
	{
	}

	/**
	 * Getter idProvincia
	 * @return Integer
	 */
	public Integer getIdProvincia() {
		return idProvincia;
	}

	/**
	 * Getter idProvincia en String
	 * @return String
	 */
	public String getIdProvinciaString() {
		return idProvincia.toString();
	}

	/**
	 * Setter idProvincia
	 * @param idProvincia
	 */
	public void setIdProvincia(Integer idProvincia) {
		this.idProvincia = idProvincia;
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return descripcio;
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return versio;
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		this.versio = versio;
	}

	/**
	 * Getter label
	 * @return String
	 */
	public String getLabel(){
		return getDescripcio();
	}

	/**
	 * Getter value
	 * @return Integer
	 */
	public int getValue(){
		return getIdProvincia();
	}


}
