package com.uoc.tfc.Base.mestres;

import java.io.Serializable;

/**
 * Mestre TipusNotificacio
 * @author ojaen
 *
 */
public class TipusNotificacio implements Serializable {


	/**
	 *
	 */
	private static final long serialVersionUID = -4720883788460777951L;
	public static final String ID_TIPUS_NOTIFICACIO = "idTipusNotificacio";

	private Integer idTipusNotificacio;
	private String descripcio;
	private Integer versio;


	/**
	 * Simple constructor de TipusNotificacio.
	 */
	public TipusNotificacio()
	{
	}

	/**
	 * Getter idTipusNotificacio
	 * @return Integer
	 */
	public Integer getIdTipusNotificacio() {
		return idTipusNotificacio;
	}

	/**
	 * Getter idTipusNotificacio en String
	 * @return String
	 */
	public String getIdTipusNotificacioString() {
		return idTipusNotificacio.toString();
	}

	/**
	 * Setter idTipusNotificacio
	 * @param idTipusNotificacio
	 */
	public void setIdTipusNotificacio(Integer idTipusNotificacio) {
		this.idTipusNotificacio = idTipusNotificacio;
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return descripcio;
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return versio;
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		this.versio = versio;
	}

	/**
	 * Getter label
	 * @return String
	 */
	public String getLabel(){
		return getDescripcio();
	}

	/**
	 * Getter value
	 * @return Integer
	 */
	public int getValue(){
		return getIdTipusNotificacio();
	}


}
