package com.uoc.tfc.Base.notificacio;

import java.io.Serializable;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.manteniment.Aula;

/**
 * Bean de notificaci a nivell d'aula
 * @author ojaen
 *
 */

public class NotificacioAula extends Notificacio implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5803461011582763600L;
	private Aula idAula;
	
	/**
	 * Constructor
	 */
	public NotificacioAula() {
		setIdTipusNotificacio(CodisMestre.CODI_TIPUS_NOTIFICACIO_AULA);
	}
	
	/**
	 * Getter idAula
	 * @return Aula
	 */
	public Aula getIdAula() {
		return idAula;
	}

	/**
	 * Setter idAula
	 * @param idAula
	 */
	public void setIdAula(Aula idAula) {
		this.idAula = idAula;
	}

	/**
	 * Getter info:
	 *  - Aula: aula (curs - tipustitulacio) 
	 * @return String
	 */
	public String getInfo() {
		return getIdAula().getDescripcioComplert();
	}

}
