package com.uoc.tfc.LN.dao.manteniment;

import java.util.HashMap;

import com.uoc.tfc.Base.manteniment.Aula;


/**
 * Interfcie de les aules
 * @author ojaen
 *
 */
public interface IAulaDAO {
	/**
	 * Cerca de les aules passant-li parmetres de criteri de cerca
	 * @param p_parametres
	 * @return Aula[]
	 * @throws Throwable
	 */
	public Aula[] findAula(HashMap p_parametres) throws Throwable;

	/**
	 * Gravar aula
	 * @param p_aula
	 * @return Aula
	 * @throws Throwable
	 */
	public Aula gravar(Aula p_aula) throws Throwable;

	/**
	 * Esborrar Aula
	 * @param p_aula
	 * @throws Throwable
	 */
	public void esborrar(Aula p_aula) throws Throwable;
}
