package com.uoc.tfc.LN.dao.manteniment;

import java.util.HashMap;

import com.uoc.tfc.Base.manteniment.Curs;


/**
 * Interfcie dels cursos
 * @author ojaen
 *
 */
public interface ICursDAO {
	/**
	 * Cerca dels cursos passant-li parmetres de criteri de cerca
	 * @param p_parametres
	 * @return Curs[]
	 * @throws Throwable
	 */
	public Curs[] findCurs(HashMap p_parametres) throws Throwable;

	/**
	 * Gravar curs
	 * @param p_usuari
	 * @return Curs
	 * @throws Throwable
	 */
	public Curs gravar(Curs p_usuari) throws Throwable;

	/**
	 * Esborrar curs
	 * @param p_usuari
	 * @throws Throwable
	 */
	public void esborrar(Curs p_usuari) throws Throwable;
}
