package com.uoc.tfc.LN.dao.manteniment;

import java.util.HashMap;

import com.uoc.tfc.Base.manteniment.TipusQualificacio;

/**
 * Interface TipusQualificacioDAO
 * @author ojaen
 *
 */
public interface ITipusQualificacioDAO {
	/**
	 * Cerca dels tipus de qualificaci passant-li parmetres de criteri de cerca
	 * @param p_parametres
	 * @return TipusQualificacio[]
	 * @throws Throwable
	 */
	public TipusQualificacio[] findTipusQualificacio(HashMap p_parametres) throws Throwable;

	/**
	 * Gravar tipus de qualificaci
	 * @param p_tipusQualificacio
	 * @return TipusQualificacio
	 * @throws Throwable
	 */
	public TipusQualificacio gravar(TipusQualificacio p_tipusQualificacio) throws Throwable;

	/**
	 * Eliminar tipusQualificacio
	 * @param p_tipusQualificacio
	 * @throws Throwable
	 */
	public void esborrar(TipusQualificacio p_tipusQualificacio) throws Throwable;
}
