package com.uoc.tfc.LN.dao.mestres;

/**
 * Interfcie de les dades mestre
 * @author ojaen
 *
 */
public interface IMestreDAO {
	/**
	 * Find objecte taula
	 * @param taula
	 * @return Object[]
	 */
	public Object[] find(String taula);

	/**
	 * Find objecte taula cercant per codi
	 * @param taula
	 * @param sId
	 * @param codi
	 * @return Object[]
	 */
	public Object[] findPerCodi(String taula, String sId, Integer codi);

}
