package com.uoc.tfc.LN.dao.qualificacio;

import java.util.HashMap;

import com.uoc.tfc.Base.qualificacio.Qualificacio;

/**
 * Interfcie de les qualificacions
 * @author ojaen
 *
 */
public interface IQualificacioDAO {
	/**
	 * Gravar qualificaci
	 * @param p_qualificacio
	 * @return Qualificacio
	 * @throws Throwable
	 */
	public Qualificacio gravar(Qualificacio p_qualificacio) throws Throwable;

	/**
	 * Cerca qualificaci passant-li parmetres de criteri de cerca
	 * @param p_parametres
	 * @return Qualificacio[]
	 * @throws Throwable
	 */
	public Qualificacio[] findQualificacio(HashMap p_parametres) throws Throwable;

	/**
	 * Esborrar qualificaci
	 * @param p_qualificacio
	 * @throws Throwable
	 */
	public void esborrar(Qualificacio p_qualificacio) throws Throwable;
}
