package com.uoc.tfc.LN.dao.usuari;

import java.security.MessageDigest;

import sun.misc.BASE64Encoder;

/**
 * Classe EncriptacioAsimetrica que genera sumes de comprovaci tipus MD5 per assegurar que un text no ha canviat.
 *  
 * @author ojaen
 * 
 */
public class EncriptacioMD5 {

	/**
	 * Constructor.
	 */
	public EncriptacioMD5() {
	}

	/**
	 * Encriptador.
	 */
	public String encriptar(String p_password) throws Throwable {
		byte[] dataBytes = p_password.getBytes("UTF8"); 
		byte[] encBytes = encriptar(dataBytes);
		return new BASE64Encoder().encode(encBytes);
	}

	/**
	 * Encriptador.
	 */
	public byte[] encriptar(byte[] p_password) throws Throwable {
		MessageDigest md = MessageDigest.getInstance("MD5"); 
		md.update(p_password);
		return md.digest();
	}
}