package com.uoc.tfc.UI.struts.action.qualificacio;

import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.view.JasperViewer;

import com.uoc.tfc.UI.struts.action.common.Accio;
import com.uoc.tfc.UI.struts.action.common.Context;

/**
 * Acci per imprimir l'expedient acadmic
 * @author ojaen
 *
 */
public class AccioImprimirExpedient extends Accio {

	private static final String PDF_EXTENSION = ".PDF";


	public void execute() {
		Context ctx = getContext();

		if (ctx!=null){		

			AccioCreaJasperPrintExpedient accio = new AccioCreaJasperPrintExpedient();
			accio.setContext(ctx);
			accio.execute();

			Context ctxRetorn = accio.getContext();
			JasperPrint jasperPrint = (JasperPrint) ctxRetorn.getVariableSortida(AccioCreaJasperPrintExpedient.JASPER_PRINT); 			

			//			try {
			//Impressio directa a la impressora
			//JasperPrintManager.printReport(jasperPrint,true);

			//Exportar a pdf
			//Random random = new Random();
			//int integer = random.nextInt();
			//final String reportName = "Expedient Acadmic";
			//final String fileNameExport = reportName + "_" +  integer + PDF_EXTENSION;
			//JasperExportManager.exportReportToPdfFile(jasperPrint, fileNameExport );

			//Per visualizar el pdf directament desde java
			JasperViewer.viewReport(jasperPrint, false);
			//			} catch (JRException e) {
			//				System.out.println(e.getMessage());
			//			}								

		}	

	}

}
