package com.uoc.tfc.UI.struts.form.manteniment;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.manteniment.Missatge;

/**
 * Formulari per l'assignacio automtica de les aules als alumnes matriculats en un any acadmic
 * @author ojaen
 *
 */
public class AssignacioAutomaticaAulesForm extends ActionForm {

	/**
	 *
	 */
	private static final long serialVersionUID = -476931240054469870L;

	private List<Missatge> informacions = new ArrayList<Missatge>();

	/**
	 * Mtode reset
	 * @param mapping
	 * @param request
	 */
	public void reset(ActionMapping mapping, HttpServletRequest request) {

		setInformacions(new ArrayList<Missatge>());
	}


	/**
	 * Setter informacions
	 * @param informacions
	 */
	public void setInformacions(List<Missatge> informacions) {
		this.informacions = informacions;
	}


	/**
	 * Getter llista de missatges
	 * @return List<Missatge>
	 */
	public List<Missatge> getInformacions() {
		return informacions;
	}

}

