package com.uoc.tfc.UI.struts.form.manteniment;

import java.util.ArrayList;

import org.apache.struts.action.ActionForm;

import com.uoc.tfc.Base.manteniment.Aula;
import com.uoc.tfc.Base.manteniment.Curs;
import com.uoc.tfc.Base.mestres.Estat;

/**
 * Formulari de cerca d'aules
 * @author ojaen
 *
 */
public class CercaAulaForm extends ActionForm {

	/**
	 * 
	 */
	private static final long serialVersionUID = 6449286291221640859L;
	private Aula[] aules;
	private String codiAula;
	private String descripcio;

	private ArrayList<Estat> estats;
	private Integer selectedEstat;
	private ArrayList<Curs> cursos;
	private Integer selectedCurs;


	/**
	 * @return Returns the aules.
	 */
	public Aula[] getAules() {
		return aules;
	}
	/**
	 * @param aules The aules to set.
	 */
	public void setAules(Aula[] aules) {
		this.aules = aules;
	}

	/**
	 * Getter codi aula
	 * @return String
	 */
	public String getCodiAula() {
		return codiAula;
	}

	/**
	 * Setter codi aula
	 * @param codi
	 */
	public void setCodiAula(String codi) {
		this.codiAula = codi;
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return descripcio;
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat en String
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList estats
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter arrayList estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

	/**
	 * Getter curs seleccionat
	 * @return Integer
	 */
	public Integer getSelectedCurs() {
		return selectedCurs;
	}

	/**
	 * Setter curs seleccionat
	 * @param selectedItem
	 */
	public void setSelectedCurs(Integer selectedItem) {
		this.selectedCurs = selectedItem;
	}

	/**
	 * Getter curs seleccionat en String
	 * @return String
	 */
	public String getSelectedCursString() {
		return selectedCurs.toString();
	}

	/**
	 * Setter curs seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedCursString(String selectedItem) {
		this.selectedCurs = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList cursos
	 * @return ArrayList<Curs>
	 */
	public ArrayList<Curs> getCursos() {
		return cursos;
	}

	/**
	 * Setter arrayList cursos
	 * @param cursos
	 */
	public void setCursos(ArrayList<Curs> cursos) {
		this.cursos = cursos;
	}

}

