package com.uoc.tfc.UI.struts.form.manteniment;

import java.util.ArrayList;

import org.apache.struts.action.ActionForm;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.manteniment.TipusQualificacio;
import com.uoc.tfc.Base.mestres.Estat;

/**
 * Cerca dels tipus de qualificaci des del formulari
 * @author ojaen
 *
 */
public class CercaTipusQualificacioForm extends ActionForm {

	/**
	 *
	 */
	private static final long serialVersionUID = 2473340121797990690L;
	private TipusQualificacio[] tipusQualificacions;
	private String codiTipusQualificacio;
	private String descripcio;
	private ArrayList<Estat> estats;
	private Integer selectedEstat = CodisMestre.CODI_ESTAT_ALTA;


	/**
	 * @return Returns the tipusQualificacions.
	 */
	public TipusQualificacio[] getTipusQualificacions() {
		return tipusQualificacions;
	}
	/**
	 * @param tipusQualificacions The tipusQualificacions to set.
	 */
	public void setTipusQualificacions(TipusQualificacio[] tipusQualificacions) {
		this.tipusQualificacions = tipusQualificacions;
	}

	/**
	 * Getter codiTipusQualificacio
	 * @return String
	 */
	public String getCodiTipusQualificacio() {
		return codiTipusQualificacio;
	}

	/**
	 * Setter codiTipusQualificacio
	 * @param codi
	 */
	public void setCodiTipusQualificacio(String codi) {
		this.codiTipusQualificacio = codi;
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return descripcio;
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat en string
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat en string
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter llista d'estats
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter llista d'estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

}

