package com.uoc.tfc.UI.struts.form.manteniment;

import java.util.ArrayList;

import org.apache.struts.action.ActionForm;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.manteniment.TipusTitulacio;
import com.uoc.tfc.Base.mestres.Estat;

/**
 * Cerca dels tipus de titulaci des del formulari
 * @author ojaen
 *
 */
public class CercaTipusTitulacioForm extends ActionForm {

	/**
	 *
	 */
	private static final long serialVersionUID = 90271016756506477L;
	private TipusTitulacio[] tipusTitulacions;
	private String codiTipusTitulacio;
	private String descripcio;
	private ArrayList<Estat> estats;
	private Integer selectedEstat = CodisMestre.CODI_ESTAT_ALTA;


	/**
	 * @return Returns the tipusTitulacions.
	 */
	public TipusTitulacio[] getTipusTitulacions() {
		return tipusTitulacions;
	}
	/**
	 * @param tipusTitulacions The tipusTitulacions to set.
	 */
	public void setTipusTitulacions(TipusTitulacio[] tipusTitulacions) {
		this.tipusTitulacions = tipusTitulacions;
	}

	/**
	 * Getter codiTipusTitulacio
	 * @return String
	 */
	public String getCodiTipusTitulacio() {
		return codiTipusTitulacio;
	}

	/**
	 * Setter codiTipusTitulacio
	 * @param codi
	 */
	public void setCodiTipusTitulacio(String codi) {
		this.codiTipusTitulacio = codi;
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return descripcio;
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}


	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat en string
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter arraylist d'estats
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter araylist d'estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

}

