<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ page language="java"%>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean"%> 
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html"%>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-logic" prefix="logic" %>
 
 <%
String tipusConsulta = (String) request.getAttribute("Consulta");
 boolean readonly = false;
 if (tipusConsulta != null && !tipusConsulta.equals(""))
	 readonly = true;
%>

 
<html> 
	<head>
		<title>Aula</title>
		<link rel="stylesheet" href="./jsp/css/style_menu.css" type="text/css" media="screen">
	</head>
	<body>		
		<table class="main"><tr><td>
   		<jsp:include page="../index.jsp"/></td></tr>
   		<tr><td>
		
		<html:form action="/editAula">
	
		<html:hidden property="id"/>
		<html:hidden property="versio"/>
		<html:hidden property="do" value="saveAula"/>
		<div class="panelHeader" style="border-bottom-width: 1px;border-bottom-style: solid;border-bottom-color: #ccc;background-color: #114070;color: #FFFFFF">
			<h2>Manteniment d'aules</h2> 
		</div>
		
		<table width="100%"  border="0" cellpadding="1" cellspacing="0" bgcolor="#FFFFFF">
		
       <tbody>
       	<tr>		
		 	<td> <label class="label">Codi*: </label></td> 
		 	<td> <html:text styleClass="textfield_short" readonly="<%= readonly %>" property="codiAula" size="10" maxlength="10"/> 
			  <label class="error"><html:errors property="codi"/></label></td>
			  
			<td><label class="label">Descripci*: </label></td>
			<td> <html:text styleClass="textfield" readonly="<%= readonly %>" property="descripcio" size="50" maxlength="50"/> 
				 <label class="error"><html:errors property="descripcio"/></label></td>
				 
			<td><label class="label">Aforament: </label></td>
			<td> <html:text styleClass="textfield_short" readonly="<%= readonly %>" property="aforamentString" size="5" maxlength="5"/> 
				 <label class="error"><html:errors property="aforament"/></label></td>				 
		</tr>
		
		<tr>
			<td> <label class="label">Curs*: </label></td>
			<td>
			<html:select property="selectedCursString" disabled="<%= readonly %>" styleClass="selectfield">
			<html:optionsCollection name="cursos" label="descripcioComplert" value="idCursString"/>
			</html:select>
			</td>
			
			<td> <label class="label">Estat*: </label></td>
			<td>
			<html:select property="selectedEstatString" disabled="<%= readonly %>" styleClass="selectfield_short">
			<html:optionsCollection name="estats" label="descripcio" value="idEstatString"/>
			</html:select>
			</td>
		</tr>
		
		</tbody>
        </table>
    <br>
    
    
    <br>
    
    <table border="0">
       <tbody>
       <tr>		
		 <td><label class="label"> Informaci de les assignatures (i professors) que es realitzen en aquesta aula</label> </td>
		</tr>
		</tbody>
	</table>	  
    
    
    
    	<table border="1" width="100%">
		<tbody>
		<tr>
			<td class="capcalera">Codi</td>
			<td class="capcalera">Descripci</td>
			<td class="capcalera">Professor</td>
			<% if (!readonly) { %>
			<td class="capcalera" width="10">&nbsp;</td>
			<% } %>
			
		</tr>
		
		<logic:iterate name="editAulaForm" property="assignaturaAulaProfessors" id="assignaturaAulaProfessor">
		<tr>
			<%-- Assignatura --%>
			<td class="resultats"><bean:write name="assignaturaAulaProfessor" property="codiAssignatura" /></td>
			<td class="resultats"><bean:write name="assignaturaAulaProfessor" property="descAssignatura" /></td>
			<td class="resultats"><bean:write name="assignaturaAulaProfessor" property="descProfessor" /></td>
			
			<% if (!readonly) { %>
			<td class="resultats" width="10">
				<html:link action="editAula.do?do=selectorUsuari"
						   paramName="assignaturaAulaProfessor" 
						   paramProperty="codiAssignatura" 
						   paramId="codiAssignatura">
					<html:img title="Assigna professor" src="./jsp/images/teacher_add.png"></html:img>							   
						   
				</html:link>
			</td>
			<% } %>
		</tr>
		</logic:iterate>
		 
		<logic:notPresent name="assignaturaAulaProfessor">
			<% if (!readonly) { %>
			<tr>
				<td class="resultats" colspan="5">Cap assignatura-professor relacionat amb aquesta aula.</td>
			</tr>
			<% } %>
			
			<% if (readonly) { %>
			<tr>
				<td class="resultats" colspan="4">Cap assignatura-professor relacionat amb aquesta aula.</td>
			</tr>
			<% } %>
			
		</logic:notPresent>	
		
		</tbody>
	</table>     
    
    <% if (!readonly) { %>
		<button id="accepta" type="submit" title="Accepta"></button>
	    <button id="neteja" type="reset" title="Neteja"></button>
	<% } %>
	
	<button id="retorna" title="Tornar" type="button" onclick="location.href='cercaAula.do?do=retornCerca'"></button>	
    
	</html:form>
	<label class="error"><html:errors property="editAulaError"/></label>
		</td></tr></table>
	</body>
</html>