<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ page language="java"%>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean"%> 
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html"%>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-logic" prefix="logic" %>
 
 <%
String tipusConsulta = (String) request.getAttribute("Consulta");
 boolean readonly = false;
 if (tipusConsulta != null && !tipusConsulta.equals(""))
	 readonly = true;
%>
 
 
<html> 
	<head>
		<title>Curs</title>
		<link rel="stylesheet" href="./jsp/css/style_menu.css" type="text/css" media="screen">
	</head>
	<body>		
		<table class="main"><tr><td>
   		<jsp:include page="../index.jsp"/></td></tr>
   		<tr><td>
	
	
		<html:form action="/editCurs">
	
		<html:hidden property="id"/>
		<html:hidden property="versio"/>
		<html:hidden property="do" value="saveCurs"/>
		<div class="panelHeader" style="border-bottom-width: 1px;border-bottom-style: solid;border-bottom-color: #ccc;background-color: #114070;color: #FFFFFF">
			<h2>Manteniment de cursos</h2> 
		</div>
		
		<table width="100%"  border="0" cellpadding="1" cellspacing="0" bgcolor="#FFFFFF">
       <tbody>
       <tr>		
		 <td><label class="label"> Codi*: </label></td> 
		 <td> <html:text styleClass="textfield_short" readonly="<%= readonly %>" property="codiCurs" size="10" maxlength="10"/> 
			  <label class="error"><html:errors property="codi"/></label></td>
			  
			<td><label class="label">Descripci*: </label></td>
			<td> <html:text styleClass="textfield" readonly="<%= readonly %>" property="descripcio" size="50" maxlength="50"/> 
				 <label class="error"><html:errors property="descripcio"/></label></td>
		</tr>
		
		<tr>
			<td><label class="label"> Tipus Titulaci*: </label></td>
			<td>
			<html:select property="selectedTipusTitulacioString" disabled="<%= readonly %>" styleClass="selectfield">
			<html:optionsCollection name="tipusTitulacions" label="descripcio" value="idTipusTitulacioString"/>
			</html:select>
			</td>
		</tr>
		
		<tr>
			<td> <label class="label">Estat*: </label></td>
			<td>
			<html:select property="selectedEstatString" disabled="<%= readonly %>" styleClass="selectfield_short">
			<html:optionsCollection name="estats" label="descripcio" value="idEstatString"/>
			</html:select>
			</td>
			
			
			<td><label class="label"> Curs Predecessor:</label></td>
			<td>
				<html:select property="selectedCursPreviString" disabled="<%= readonly %>" styleClass="selectfield">
				<html:optionsCollection name="cursosPrevis" label="descripcio" value="idCursString"/>
				<html:errors property="cursPrevi"/>
				</html:select>
			</td>
		</tr>
		
		</tbody>
        </table>
        
    <br>
    
    <table border="0" width="100%">
       <tbody>
       <tr>		
		 <td> <label class="label">Assignatures que es realitzen en aquest curs </label></td>
		 
		    <% if (!readonly) { %>
		    
		    
			<td align="right">
			
			<button id="afegir" title="Nova Assignatura" type="button" onclick="location.href='editCurs.do?do=selectorAssignatura'"></button>
			
			
			</td>
		    
			<% } %>
		</tr>
		</tbody>
	</table>	  
    
    
    
    	<table border="1" width="100%">
		<tbody>
		<tr>
			<td class="capcalera">Codi</td>
			<td class="capcalera">Descripci</td>
			<td class="capcalera">Estat</td>
			<% if (!readonly) { %>
			<td class="capcalera" width="10">&nbsp;</td>
			<% } %>
		</tr>
		
		<logic:iterate name="editCursForm" property="cursAssignatures" id="cursAssignatura">
		<tr>
			<%-- Assignatura --%>
			<td class="resultats"><bean:write name="cursAssignatura" property="codiAssignatura" /></td>
			<td class="resultats"><bean:write name="cursAssignatura" property="descAssignatura" /></td>
			<td class="resultats" align="center"><bean:write name="cursAssignatura" property="descEstat" /></td>
			
			<% if (!readonly) { %>
			<td class="resultats" width="10">
				<html:link action="editCurs.do?do=esborraAssignatura"
						   paramName="cursAssignatura" 
						   paramProperty="codiAssignatura" 
						   paramId="codiAssignatura">
					<html:img title="Canviar Estat" src="./jsp/images/canvi_estat.png"></html:img>						   
				</html:link>
			</td>
			<% } %>
		</tr>
		</logic:iterate>
		 
		<logic:notPresent name="cursAssignatura">
			<tr>
				<td class="resultats" colspan="4">Cap assignatura relacionada amb aquest curs.</td>
			</tr>
		</logic:notPresent>	
		
		</tbody>
	</table> 

	<% if (!readonly) { %>
		<button id="accepta" type="submit" title="Accepta"></button>
      	<button id="neteja" type="reset" title="Neteja"></button>
	<% } %>
	
	<button id="retorna" title="Tornar" type="button" onclick="location.href='cercaCurs.do?do=retornCerca'"></button>	

	</html:form>
	
	<label class="error"><html:errors property="editCursError"/></label>
		</td></tr></table>
	</body>
</html>