<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ page language="java"%>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean"%> 
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html"%>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-logic" prefix="logic" %>
 
 <%
 String permis = (String) request.getAttribute("Permis");
 String permisProfessor = (String) request.getAttribute("PermisProfessor");
 
 boolean bPermis = false;
 if (permis != null && !permis.equals(""))
	 bPermis = true;
 
 boolean bPermisProfessor = false;
 if (permisProfessor != null && !permisProfessor.equals(""))
	 bPermisProfessor = true;
 
 boolean readOnly = true;
 if (bPermis  || bPermisProfessor)
	 readOnly = false;
 
 
%>
<html> 
        <head>
                <title>Manteniment de notificacions</title>
                <link rel="stylesheet" href="./jsp/css/style_menu.css" type="text/css" media="screen">
        </head>
<body>         
   		<table class="main"><tr><td>
		<jsp:include page="../index.jsp"/></td></tr>
		<tr><td>

   			<html:form action="cercaNotificacio">

           	<div class="panelHeader" style="border-bottom-width: 1px;border-bottom-style: solid;border-bottom-color: #ccc;background-color: #114070;color: #FFFFFF">
				<h2>Manteniment de notificacions</h2> 
 			</div>
   			
           	<div class="panel" style="background-color: #E8ECF6;border-color: #ccc;border-style: solid;border-width: 1px;">
                        
            <div class="panelHeader" style="border-bottom-width: 1px;border-bottom-style: solid;border-bottom-color: #ccc;background-color: #B5C4E5;">
				<b>Parmetres de cerca</b>
			</div>
			
            <table width="100%"  border="0" cellpadding="1" cellspacing="0" bgcolor="#FFFFFF">
                   <tbody>
			       <tr>		
					    <td><label class="label">Ttol: </label></td>
						<td> <html:text styleClass="textfield" property="titol" maxlength="50" size="50"/>  </td>
						  
						<td> <label class="label">Estat: </label></td>
						<td >
							<html:select property="selectedEstatString" styleClass="selectfield_short" disabled="<%= readOnly %>">
							<html:optionsCollection name="estats" label="descripcio" value="idEstatString"/>
							</html:select>
						</td>
						
						<td> <label class="label">Tipus Notificaci: </label></td>
						<td >
							<html:select property="selectedTipusNotificacioString" styleClass="selectfield">
							<html:optionsCollection name="tipusNotificacions" label="descripcio" value="idTipusNotificacioString"/>
							</html:select>
						</td>
						
					</tr>
					
					<tr>
						<td > <label class="label">Data Inici (dd/mm/aaaa):</label> </td> 
							 <td> <html:text styleClass="textfield_short" property="dataIniciString"/> 
			  				<label class="error"><html:errors property="dataInici"/></label></td>
			  				

						<td > <label class="label">Data Fi (dd/mm/aaaa):</label> </td> 
							 <td> <html:text styleClass="textfield_short" property="dataFiString"/> 
			  				<label class="error"><html:errors property="dataFi"/></label></td>
					
							
					</tr>
                                	
					<tr>
       					<td colspan="6"></td>
       					<td>
	                   		<button id="cerca" type="submit" title="Cerca"></button>
    	               		<button id="neteja" type="reset" title="Neteja"></button>
                   		</td>  
        			</tr>
       		 </tbody>
	</table>
	</div>
	
	<html:hidden property="do" value="cercanotificacio" />  

	</html:form>	
                
    <br>
	<% if (bPermis) { %>
	
	<table  border="0" width="100%">
		<tr>
			<td align="right">
				<html:image  property="add" title="Nova Notif. Escola" src="./jsp/images/flag_green.png" border="2" onclick="location.href='editNotificacio.do?do=prepareAddEscola'"></html:image>
				<html:image  property="add" title="Nova Notif. Curs" src="./jsp/images/flag_orange.png" border="2" onclick="location.href='editNotificacio.do?do=prepareAddCurs'"></html:image>
				<html:image  property="add" title="Nova Notif. Aula" src="./jsp/images/flag_purple.png" border="2" onclick="location.href='editNotificacio.do?do=prepareAddAula'"></html:image>
				<html:image  property="add" title="Nova Notif. Assignatura" src="./jsp/images/flag_yellow.png" border="2" onclick="location.href='editNotificacio.do?do=prepareAddAssignatura'"></html:image>	
			</td>
		</tr>
	</table>
	
	
	<% } %>
	
	
	<% if (!bPermis && bPermisProfessor) { %>
	<table  border="0" width="100%">
		<tr>
			<td align="right">
				<html:image  property="add" title="Nova Notif. Assignatura" src="./jsp/images/flag_yellow.png" border="2" onclick="location.href='editNotificacio.do?do=prepareAddAssignatura'"></html:image>	
			</td>
		</tr>
	</table>
	
	<% } %>
                
    	<table border="1" width="100%">
	<tbody>
	<tr>
		<td class="capcalera">Ttol</td>
		<td class="capcalera">Descripci</td>
		<td class="capcalera">Nivell</td>
		<td class="capcalera">Informaci</td>
		<td class="capcalera">Data Inici</td>
		<td class="capcalera">Data Fi</td>
		<td class="capcalera">Estat</td>
		<% if (bPermis || bPermisProfessor) { %>
		<td class="capcalera" width="10"></td>
		<% } %>
		<td class="capcalera" width="10"></td>
		<% if (bPermis || bPermisProfessor) { %>
		<td class="capcalera" width="10"></td>
		<% } %>
	</tr>
	
	<logic:iterate name="cercaNotificacioForm" property="notificacions" id="notificacio">
	<tr>
		<%-- Notificacions --%>
		<td  class="resultats"><bean:write name="notificacio" property="titol" /></td>
		<td  class="resultats"><bean:write name="notificacio" property="descripcio" /></td>
		<td  class="resultats"><bean:write name="notificacio" property="descTipusNotificacio" /></td>
		<td  class="resultats"><bean:write name="notificacio" property="info" /></td>
		<td  class="resultats" align="center"><bean:write name="notificacio" property="dataIniciString" /></td>
		<td  class="resultats" align="center"><bean:write name="notificacio" property="dataFiString" /></td>
		<td  class="resultats" align="center"><bean:write name="notificacio" property="descEstat" /></td>
		
		
		<% if (bPermis  || bPermisProfessor) { %>
		<td class="resultats" width="10">
			<html:link action="editNotificacio.do?do=prepareEdit" 
					   paramName="notificacio" 
					   paramProperty="id" 
					   paramId="id">
				<html:img title="Modifica" src="./jsp/images/detall.png"></html:img>					   
			</html:link>
		</td>
		<%} %>
		<td class="resultats" width="10">
			<html:link action="editNotificacio.do?do=consultaNotificacio" 
					   paramName="notificacio" 
					   paramProperty="id" 
					   paramId="id">
				<html:img title="Consulta" src="./jsp/images/information.png"></html:img>					   
			</html:link>
		</td>
		
		<% if (bPermis  || bPermisProfessor) { %>
		<td class="resultats" width="10">
			<html:link action="editNotificacio.do?do=deleteNotificacio"
					   paramName="notificacio" 
					   paramProperty="id" 
					   paramId="id">
				<html:img title="Esborra" src="./jsp/images/delete.png"></html:img>					   
			</html:link>
		</td>
		<%} %>
	</tr>
	</logic:iterate>
	 
	<logic:notPresent name="notificacio">
		<tr>
			<% if (bPermis || bPermisProfessor) { %>
				<td class="resultats" colspan="10">No existeix cap notificacio.</td>
			<%} %>
			
			<% if (!bPermis && !bPermisProfessor) { %>
				<td class="resultats" colspan="8">No existeix cap notificacio.</td>
			<%} %>
			
		</tr>
	</logic:notPresent>	
	
	</tbody>
	</table>  
	<label class="error"><html:errors property="notificacioError" /></label>          
    </td></tr></table>        
    </body>
</html> 