<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ page language="java"%>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean"%> 
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html"%>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-logic" prefix="logic" %>
 
 <%
String tipusConsulta = (String) request.getAttribute("Consulta");
 boolean readonly = false;
 if (tipusConsulta != null && !tipusConsulta.equals(""))
	 readonly = true;
 
 Integer tipusNotificacio = (Integer) request.getAttribute("TipusNotificacio");
 
%>
 
<%@page import="com.uoc.tfc.Base.common.CodisMestre"%><html> 
	<head>
		<title>Notificaci</title>
		<link rel="stylesheet" href="./jsp/css/style_menu.css" type="text/css" media="screen">
	</head>
	<body>		
   		<table class="main"><tr><td>
		<jsp:include page="../index.jsp"/></td></tr>
		<tr><td>
	
		<html:form action="/editNotificacio">
	
		<html:hidden property="idNotificacio"/>
		<html:hidden property="versio"/>
		<html:hidden property="do" value="saveNotificacio"/>
		<div class="panelHeader" style="border-bottom-width: 1px;border-bottom-style: solid;border-bottom-color: #ccc;background-color: #114070;color: #FFFFFF">
			<h2>Manteniment de notificacions</h2> 
		</div>
		
		<table width="100%"  border="0" cellpadding="1" cellspacing="0" bgcolor="#FFFFFF">
       <tbody>
       <tr>		
       
		 <td> <label class="label">Ttol*:</label> </td> 
		 <td> 
		 	<html:text styleClass="textfield" readonly="<%= readonly %>" property="titol" size="50" maxlength="50"/> 
			<label class="error"><html:errors property="titol"/></label>
		 </td>
			  
		</tr>
		
		<tr>
		
		 <td><label class="label"> Descripci*:</label> </td> 
		 <td colspan="3"> 
		 	  <html:textarea styleClass="textfield" readonly="<%= readonly %>" property="descripcio" style=" width : 697px;"/> 
			  <label class="error"><html:errors property="descripcio"/></label>
		 </td>
			 
		</tr>
		
		<tr>
		 <td> <label class="label">Data Inici (dd/mm/aaaa)*:</label> </td> 
		 <td> <html:text styleClass="textfield_short" readonly="<%= readonly %>" property="dataIniciString"/> 
			  <label class="error"><html:errors property="dataInici"/></label></td>
			  
		 <td> <label class="label">Data Fi (dd/mm/aaaa)*:</label> </td> 
		 <td> <html:text styleClass="textfield_short" readonly="<%= readonly %>" property="dataFiString"/> 
			  <label class="error"><html:errors property="dataFi"/></label></td>

		</tr>
		
		<tr>
			<td> <label class="label">Tipus Notificaci*: </label></td>
			<td>
				<html:select property="selectedTipusNotificacioString" disabled="true" styleClass="selectfield_large">
				<html:optionsCollection name="tipusNotificacions" label="descripcio" value="idTipusNotificacioString"/>
				</html:select>
			</td>
			
			<td> <label class="label">Estat:</label> </td>
			<td>
				<html:select property="selectedEstatString" disabled="<%= readonly %>" styleClass="selectfield_short">
				<html:optionsCollection name="estats" label="descripcio" value="idEstatString"/>
				</html:select>
			</td>
			
		</tr>	  
				
		<% if (tipusNotificacio.intValue() == CodisMestre.CODI_TIPUS_NOTIFICACIO_AULA) { %>
		<tr>	  
		<td> <label class="label">Aula: </label></td>
		<td>
			<html:select property="selectedAulaString" disabled="<%= readonly %>" styleClass="selectfield_extralarge">
			<html:optionsCollection name="aules" label="descripcioComplert" value="idAulaString"/>
			<html:errors property="aula"/>
			</html:select>
		</td>
		</tr>
		<% } %>
		
		
		<% if (tipusNotificacio.intValue() == CodisMestre.CODI_TIPUS_NOTIFICACIO_CURS) { %>
		<tr>	  
			<td> <label class="label">Curs:</label> </td>
			<td>
				<html:select property="selectedCursString" disabled="<%= readonly %>" styleClass="selectfield_extralarge">
				<html:optionsCollection name="cursos" label="descripcioComplert" value="idCursString"/>
				<html:errors property="curs"/>
				</html:select>
			</td>
		</tr>
		<% } %>
		
		
		<% if (tipusNotificacio.intValue() == CodisMestre.CODI_TIPUS_NOTIFICACIO_ASSIGNATURA) { %>
		<tr>	  
			<td> <label class="label">Assignatura:</label> </td>
			<td>
				<html:select property="selectedCursAssignaturaString" disabled="<%= readonly %>" styleClass="selectfield_extralarge">
				<html:optionsCollection name="cursAssignatures" label="descripcio" value="idCursAssignaturaString"/>
				<html:errors property="cursAssignatura"/>
				</html:select>
			</td>
		</tr>
		<% } %>
		
		
		</tbody>
        </table>
        
	<% if (!readonly) { %>
		<button id="accepta" type="submit" title="Accepta"></button>
      	<button id="neteja" type="reset" title="Neteja"></button>
	<% } %>
	
	<button id="retorna" title="Tornar" type="button" onclick="location.href='cercaNotificacio.do?do=retornCerca'"></button>	

	</html:form>
	<label class="error"><html:errors property="editNotificacioError"/></label>
		</td></tr></table>
	</body>
</html>