package com.uoc.tfc.Base.mestres;

import java.io.Serializable;

/**
 * Mestre Estat
 * @author ojaen
 *
 */

public class Estat implements Serializable {


	/**
	 *
	 */
	private static final long serialVersionUID = -4720883788460777951L;

	public static final String ID_ESTAT = "idEstat";

	private Integer idEstat;
	private String descripcio;
	private Integer versio;


	/**
	 * Simple constructor d'Estat.
	 */
	public Estat()
	{
	}


	/**
	 * Getter estat
	 * @return Integer
	 */
	public Integer getIdEstat() {
		return idEstat;
	}

	/**
	 * Getter estat en String
	 * @return String
	 */
	public String getIdEstatString() {
		return idEstat.toString();
	}


	/**
	 * Setter estat
	 * @param idEstat
	 */
	public void setIdEstat(Integer idEstat) {
		this.idEstat = idEstat;
	}


	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return descripcio;
	}


	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return versio;
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		this.versio = versio;
	}

	/**
	 * Getter label
	 * @return String
	 */
	public String getLabel(){
		return getDescripcio();
	}

	/**
	 * Getter value
	 * @return Integer
	 */
	public int getValue(){
		return getIdEstat();
	}


}
