package com.uoc.tfc.Base.mestres;

import java.io.Serializable;

/**
 * Mestre TipusDocument
 * @author ojaen
 *
 */
public class TipusDocument implements Serializable {

	
	/**
	 *
	 */
	private static final long serialVersionUID = -3083226523481354194L;
	public static final String ID_TIPUS_DOCUMENT = "idTipusDocument";
	private Integer idTipusDocument;
	private String descripcio;
	private Integer versio;


	/**
	 * Simple constructor de TipusDocument.
	 */
	public TipusDocument()
	{
	}

	/**
	 * Getter idTipusDocument
	 * @return Integer
	 */
	public Integer getIdTipusDocument() {
		return idTipusDocument;
	}

	/**
	 * Getter idTipusDocument en String
	 * @return String
	 */
	public String getIdTipusDocumentString() {
		return idTipusDocument.toString();
	}

	/**
	 * Setter idTipusDocument
	 * @param idTipusDocument
	 */
	public void setIdTipusDocument(Integer idTipusDocument) {
		this.idTipusDocument = idTipusDocument;
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return descripcio;
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return versio;
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		this.versio = versio;
	}

	/**
	 * Getter label
	 * @return String
	 */
	public String getLabel(){
		return getDescripcio();
	}

	/**
	 * Getter value
	 * @return Integer
	 */
	public int getValue(){
		return getIdTipusDocument();
	}


}
