package com.uoc.tfc.Base.mestres;

import java.io.Serializable;

/**
 * Mestre TipusUsuari
 * @author ojaen
 *
 */
public class TipusUsuari implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = -5531683088013479507L;
	public static final String ID_TIPUS_USUARI = "idTipusUsuari";
	private Integer idTipusUsuari;
	private String descripcio;
	private Integer versio;


	/**
	 * Simple constructor de TipusUsuari.
	 */
	public TipusUsuari()
	{
	}

	/**
	 * Getter idTipusUsuari
	 * @return Integer
	 */
	public Integer getIdTipusUsuari() {
		return idTipusUsuari;
	}

	/**
	 * Getter idTipusUsuari en String
	 * @return String
	 */
	public String getIdTipusUsuariString() {
		return idTipusUsuari.toString();
	}

	/**
	 * Setter idTipusUsuari
	 * @param idTipusUsuari
	 */
	public void setIdTipusUsuari(Integer idTipusUsuari) {
		this.idTipusUsuari = idTipusUsuari;
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return descripcio;
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	/**
	 * Getter Versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return versio;
	}

	/**
	 * Setter Versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		this.versio = versio;
	}

	/**
	 * Getter label
	 * @return String
	 */
	public String getLabel(){
		return getDescripcio();
	}

	/**
	 * Setter value
	 * @return Integer
	 */
	public int getValue(){
		return getIdTipusUsuari();
	}


}
