package com.uoc.tfc.Base.notificacio;

import java.io.Serializable;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.manteniment.Curs;

/**
 * Bean de notificaci a nivell de curs
 * @author ojaen
 *
 */

public class NotificacioCurs extends Notificacio implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = -7239536703391692573L;
	private Curs idCurs;

	/**
	 * Constructor
	 */
	public NotificacioCurs() {
		setIdTipusNotificacio(CodisMestre.CODI_TIPUS_NOTIFICACIO_CURS);
	}

	/**
	 * Getter idCurs
	 * @return Curs
	 */
	public Curs getIdCurs() {
		return idCurs;
	}

	/**
	 * Setter idCurs
	 * @param idCurs
	 */
	public void setIdCurs(Curs idCurs) {
		this.idCurs = idCurs;
	}

	/**
	 * Getter info:
	 *  - Curs:  curs (tipus titulaci)
	 *
	 * @return String
	 */
	public String getInfo() {
		return getIdCurs().getDescripcioComplert();
	}

}
