package com.uoc.tfc.Base.usuari;

import java.io.Serializable;

/**
 * Bean de les dades bancries
 * @author ojaen
 *
 */
public class DadesBancaries implements Serializable {



	/**
	 * 
	 */
	private static final long serialVersionUID = 2709439043957425417L;
	private Integer idDadesBancaries;
	private Integer codiBanc;
	private Integer codiSucursal;
	private Integer digitControl;
	private Double  numCompte;
	private Integer versio;

	

	/**
	 * Simple constructor de les dades bancries.
	 */
	public DadesBancaries()
	{
	}

	/**
	 * Constructor de Dades Bancaries amb una clau primaria.
	 * @param p_idDadesBancaries
	 */
	public DadesBancaries(Integer p_idDadesBancaries)
	{
		setIdDadesBancaries(p_idDadesBancaries);
	}

	/**
	 * Getter idDadesBancaries
	 * @return Integer
	 */
	public Integer getIdDadesBancaries() {
		return idDadesBancaries;
	}

	/**
	 * Setter idDadesBancaries
	 * @param idDadesBancaries
	 */
	public void setIdDadesBancaries(Integer idDadesBancaries) {
		this.idDadesBancaries = idDadesBancaries;
	}

	/**
	 * Getter codiBanc
	 * @return Integer
	 */
	public Integer getCodiBanc() {
		return codiBanc;
	}

	/**
	 * Setter codiBanc
	 * @param codiBanc
	 */
	public void setCodiBanc(Integer codiBanc) {
		this.codiBanc = codiBanc;
	}

	/**
	 * Getter codiSucursal
	 * @return Integer
	 */
	public Integer getCodiSucursal() {
		return codiSucursal;
	}

	/**
	 * Setter codiSucursal
	 * @param codiSucursal
	 */
	public void setCodiSucursal(Integer codiSucursal) {
		this.codiSucursal = codiSucursal;
	}

	/**
	 * Getter digit control
	 * @return Integer
	 */
	public Integer getDigitControl() {
		return digitControl;
	}

	/**
	 * Setter digit control
	 * @param digitControl
	 */
	public void setDigitControl(Integer digitControl) {
		this.digitControl = digitControl;
	}

	/**
	 * Getter numCompte
	 * @return Double
	 */
	public Double getNumCompte() {
		return numCompte;
	}

	/**
	 * Setter numCompte
	 * @param numCompte
	 */
	public void setNumCompte(Double numCompte) {
		this.numCompte = numCompte;
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return versio;
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		this.versio = versio;
	}

}
