package com.uoc.tfc.Base.usuari;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

import com.uoc.tfc.Base.qualificacio.Qualificacio;

/**
 * Bean dels usuaris a utilitzar al report
 * @author ojaen
 *
 */

public class UsuariReport implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 5712701417795604076L;
	private String nomComplert;
	private String codi;
	private String anyAcademic;
	private String tipusTitulacio;
	private String curs;

	private Set<Qualificacio> setOfQualificacio = new HashSet<Qualificacio>();



	/**
	 * Simple constructor d'UsuariReport.
	 */
	public UsuariReport()
	{
	}



	/**
	 * Getter nom complert usuari
	 * @return String
	 */
	public String getNomComplert() {
		return nomComplert;
	}


	/**
	 * Setter nom complert usuari
	 * @param nomComplert
	 */
	public void setNomComplert(String nomComplert) {
		this.nomComplert = nomComplert;
	}


	/**
	 * Getter codi usuari
	 * @return String
	 */
	public String getCodi() {
		return codi;
	}


	/**
	 * Setter codi usuari
	 * @param codi
	 */
	public void setCodi(String codi) {
		this.codi = codi;
	}


	/**
	 * Getter any acadmic
	 * @return String
	 */
	public String getAnyAcademic() {
		return anyAcademic;
	}


	/**
	 * Setter any acadmic
	 * @param anyAcademic
	 */
	public void setAnyAcademic(String anyAcademic) {
		this.anyAcademic = anyAcademic;
	}


	/**
	 * Getter tipus titulaci
	 * @return String
	 */
	public String getTipusTitulacio() {
		return tipusTitulacio;
	}


	/**
	 * Setter tipus titulaci
	 * @param tipusTitulacio
	 */
	public void setTipusTitulacio(String tipusTitulacio) {
		this.tipusTitulacio = tipusTitulacio;
	}


	/**
	 * Getter curs
	 * @return String
	 */
	public String getCurs() {
		return curs;
	}


	/**
	 * Setter curs
	 * @param curs
	 */
	public void setCurs(String curs) {
		this.curs = curs;
	}


	/**
	 * Getter SetOfQualifcacio
	 * @return Set<Qualificacio>
	 */
	public Set<Qualificacio> getSetOfQualificacio() {
		return setOfQualificacio;
	}

	/**
	 * Setter SetOfQualificacio
	 * @param setOfQualificacio
	 */
	public void setSetOfQualificacio(Set<Qualificacio> setOfQualificacio) {
		this.setOfQualificacio = setOfQualificacio;
	}





}
