package com.uoc.tfc.LN.dao.manteniment;

import java.util.HashMap;

import com.uoc.tfc.Base.manteniment.TipusTitulacio;

/**
 * Interfcie dels tipus de titulacions
 * @author ojaen
 *
 */
public interface ITipusTitulacioDAO {

	/**
	 * Cerca dels tipus de titulaci passant-li parmetres de criteri de cerca
	 * @param p_parametres
	 * @return TipusTitulacio[]
	 * @throws Throwable
	 */	
	public TipusTitulacio[] findTipusTitulacio(HashMap p_parametres) throws Throwable;

	/**
	 * Gravar tipus de titulaci
	 * @param p_tipusTitulacio
	 * @return TipusTitulacio
	 * @throws Throwable
	 */	
	public TipusTitulacio gravar(TipusTitulacio p_tipusTitulacio) throws Throwable;

	/**
	 * Eliminar tipusTitulacio
	 * @param p_tipusTitulacio
	 * @throws Throwable
	 */
	public void esborrar(TipusTitulacio p_tipusTitulacio) throws Throwable;
}
