package com.uoc.tfc.UI.struts.form.autenticacio;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.usuari.Usuari;


/**
 * Form Struts pel login
 * @author ojaen
 *
 */
public class LoginForm extends ActionForm {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6112793678862963763L;

	// --------------------------------------------------------- Instance
	// Variables
	private Usuari usuari;

	/**
	 * Getter login usuari
	 * @return String
	 */
	public String getLogin() {
		return usuari.getLogin();
	}

	/**
	 * Setter login
	 * @param p_login
	 */
	public void setLogin(String p_login) {
		usuari.setLogin(p_login);
	}


	/**
	 * Getter idUsuari
	 * @return Integer
	 */
	public Integer getIdUsuari() {
		return usuari.getIdUsuari();
	}

	/**
	 * Setter idUsuari
	 * @param id
	 */
	public void setIdUsuari(Integer id) {
		usuari.setIdUsuari(id);
	}

	/**
	 * Getter contrasenya
	 * @return String
	 */
	public String getPaswd() {
		return usuari.getPaswd();
	}

	/**
	 * Setter contrasenya
	 * @param p_contrasenya
	 */
	public void setPaswd(String p_contrasenya) {
		usuari.setPaswd(p_contrasenya);
	}

	/**
	 * Reiniciar formulari
	 */
	public void reset(ActionMapping mapping, HttpServletRequest request) {
		usuari = new Usuari();
		usuari.setPaswd(""); 
		usuari.setLogin(""); 
	} 

}
