package com.uoc.tfc.UI.struts.form.manteniment;

import java.util.ArrayList;

import org.apache.struts.action.ActionForm;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.manteniment.Assignatura;
import com.uoc.tfc.Base.mestres.Estat;

/**
 * Cerca de les assignatures des del formulari
 * @author ojaen
 *
 */
public class CercaAssignaturaForm extends ActionForm {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1680701376822003523L;
	private Assignatura[] assignatures = new Assignatura[0];
	private String codiAssignatura;
	private String descripcio;
	private String tipusConsulta;
	private ArrayList<Estat> estats;
	private Integer selectedEstat = CodisMestre.CODI_ESTAT_ALTA;


	/**
	 * Getter assignatures
	 * @return Assignatura[]
	 */
	public Assignatura[] getAssignatures() {
		return assignatures;
	}
	/**
	 * Setter assignatures
	 * @param assignatures
	 */
	public void setAssignatures(Assignatura[] assignatures) {
		this.assignatures = assignatures;
	}

	/**
	 * Getter codi assignatura
	 * @return String
	 */
	public String getCodiAssignatura() {
		return codiAssignatura;
	}

	/**
	 * Setter codi Assignatura
	 * @param codi
	 */
	public void setCodiAssignatura(String codi) {
		this.codiAssignatura = codi;
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return descripcio;
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}


	/**
	 * Setter tipusConsulta
	 * @param tipusConsulta 
	 */
	public void setTipusConsulta(String tipusConsulta) {
		this.tipusConsulta = tipusConsulta;
	}
	/**
	 * Getter tipusConsulta
	 * @return String
	 */
	public String getTipusConsulta() {
		return tipusConsulta;
	}

	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat en String
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter estats
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

}

