package com.uoc.tfc.UI.struts.form.manteniment;

import java.util.ArrayList;

import org.apache.struts.action.ActionForm;

import com.uoc.tfc.Base.manteniment.Curs;
import com.uoc.tfc.Base.manteniment.TipusTitulacio;
import com.uoc.tfc.Base.mestres.Estat;

/**
 *
 * Formulari de cerca de cursos
 * @author ojaen
 *
 */
public class CercaCursForm extends ActionForm {

	/**
	 *
	 */
	private static final long serialVersionUID = 4159563794247532710L;
	private Curs[] cursos;
	private String codiCurs;
	private String descripcio;

	private ArrayList<Estat> estats;
	private Integer selectedEstat;
	private ArrayList<TipusTitulacio> tipusTitulacions;
	private Integer selectedTipusTitulacio;


	/**
	 * Getter cursos
	 * @return Curs[].
	 */
	public Curs[] getCursos() {
		return cursos;
	}
	/**
	 * Setter cursos
	 * @param cursos
	 */
	public void setCursos(Curs[] cursos) {
		this.cursos = cursos;
	}

	/**
	 * Getter codiCurs
	 * @return String
	 */
	public String getCodiCurs() {
		return codiCurs;
	}

	/**
	 * Setter codiCurs
	 * @param codi
	 */
	public void setCodiCurs(String codi) {
		this.codiCurs = codi;
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return descripcio;
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat en String
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList d'estats
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter arrayList d'estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

	/**
	 * Getter tipus titulaci seleccionat
	 * @return Integer
	 */
	public Integer getSelectedTipusTitulacio() {
		return selectedTipusTitulacio;
	}

	/**
	 * Setter tipus titulaci seleccionat
	 * @param selectedItem
	 */
	public void setSelectedTipusTitulacio(Integer selectedItem) {
		this.selectedTipusTitulacio = selectedItem;
	}

	/**
	 * Getter tipus titulaci seleccionat en String
	 * @return String
	 */
	public String getSelectedTipusTitulacioString() {
		return selectedTipusTitulacio.toString();
	}

	/**
	 * Setter tipus titulaci seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedTipusTitulacioString(String selectedItem) {
		this.selectedTipusTitulacio = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList tipus titulacions
	 * @return ArrayList<TipusTitulacio>
	 */
	public ArrayList<TipusTitulacio> getTipusTitulacions() {
		return tipusTitulacions;
	}

	/**
	 * Setter arrayList tipusTitulacions
	 * @param tipusTitulacions
	 */
	public void setTipusTitulacions(ArrayList<TipusTitulacio> tipusTitulacions) {
		this.tipusTitulacions = tipusTitulacions;
	}

}

