<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ page language="java"%>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean"%> 
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html"%>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-logic" prefix="logic" %>
 
<html> 
        <head>
                <title>Manteniment de tipus de qualificacions</title>
                <link rel="stylesheet" href="./jsp/css/style_menu.css" type="text/css" media="screen">
        </head>
        <body>    
        	<table class="main"><tr><td>
   			<jsp:include page="../index.jsp"/></td></tr>
   			<tr><td>
                   
                <html:form action="cercaTipusQualificacio">

                         <div class="panelHeader" style="border-bottom-width: 1px;border-bottom-style: solid;border-bottom-color: #ccc;background-color: #114070;color: #FFFFFF">
							<h2>Manteniment de tipus de qualificacions</h2> 
			 			 </div>
			 		
                        <div class="panel" style="background-color: #E8ECF6;border-color: #ccc;border-style: solid;border-width: 1px;">
                        
                        <div class="panelHeader" style="border-bottom-width: 1px;border-bottom-style: solid;border-bottom-color: #ccc;background-color: #B5C4E5;">
							<b>Parmetres de cerca</b>
						</div>
						
                        <table width="100%"  border="0" cellpadding="1" cellspacing="0" bgcolor="#FFFFFF">
                                <tbody>
                               		<tr>
                                        <td><label class="label">Codi:</label></td>
                                        <td><html:text styleClass="textfield_short" property="codiTipusQualificacio" size="10" maxlength="10"/>
                                        <label class="error"><html:errors property="codiTipusQualificacio"/></label></td>
                                        <td><label class="label">Descripci:</label></td>
                                        <td><html:text styleClass="textfield" property="descripcio" size="50" maxlength="50"/>
                                        <label class="error"><html:errors property="descripcio"/></label></td>
                                        
                                        <td><label class="label"> Estat:</label> </td>
										<td>
											<html:select styleClass="selectfield_short" property="selectedEstatString">
											<html:optionsCollection name="estats" label="descripcio" value="idEstatString"/>
											</html:select>
										</td>
									</tr>
                                        
                                	<tr>
                                		<td></td>
                                		<td></td>
                                		<td></td>
                                		<td></td>
                                		<td></td>
                                		<td></td>
                                		<td>
                                			<button id="cerca" type="submit" title="Cerca"></button>
                                			<button id="neteja" type="reset" title="Neteja"></button>
                                		</td>  
                                	</tr>
                                </tbody>
                        </table>
                        
                        <html:hidden property="do" value="cercatipusQualificacio" />  
                        </div>
                       
                </html:form>                 
                
                	<br>
                	
	<table  border="0" width="100%">
		<tr>
			<td align="right">
				<html:image  property="add" title="Nou Tipus Qualificaci" src="./jsp/images/add_24.png" border="2" onclick="location.href='editTipusQualificacio.do?do=prepareAdd'"></html:image>
			</td>
		</tr>
	</table>
	
   	<table border="1" width="100%">
	<tbody>
	
	<tr>
		<td class="capcalera">Codi</td>
		<td class="capcalera">Descripci</td>
		<td class="capcalera">Estat</td>
		<td width="10" class="capcalera">&nbsp;</td>
		<td width="10" class="capcalera">&nbsp;</td>
		<td width="10" class="capcalera">&nbsp;</td>
	</tr>
	
	<logic:iterate name="cercaTipusQualificacioForm" property="tipusQualificacions" id="tipusQualificacio">
	<tr>
		<%-- TipusQualificacio --%>
		<td class="resultats"><bean:write name="tipusQualificacio" property="codiTipusQualificacio" /></td>
		<td class="resultats"><bean:write name="tipusQualificacio" property="descripcio" /></td>
		<td class="resultats" align="center"><bean:write name="tipusQualificacio" property="descEstat" /></td>
		
		<td class="resultats" width="10">
			<html:link action="editTipusQualificacio.do?do=prepareEdit" 
					   paramName="tipusQualificacio" 
					   paramProperty="id" 
					   paramId="id">
				<html:img title="Modifica" src="./jsp/images/detall.png"></html:img>					   
			</html:link>
		</td>
		<td class="resultats" width="10">
			<html:link action="editTipusQualificacio.do?do=consultaTipusQualificacio" 
					   paramName="tipusQualificacio" 
					   paramProperty="id" 
					   paramId="id">
				<html:img title="Consulta" src="./jsp/images/information.png"></html:img>					   
			</html:link>
		</td>
		<td class="resultats" width="10">
			<html:link action="editTipusQualificacio.do?do=deleteTipusQualificacio"
					   paramName="tipusQualificacio" 
					   paramProperty="id" 
					   paramId="id">
				<html:img title="Esborra" src="./jsp/images/delete.png"></html:img>					   
			</html:link>
		</td>
	</tr>
	</logic:iterate>
	 
	<logic:notPresent name="tipusQualificacio">
		<tr>
			<td class="resultats" colspan="6">No existeix cap tipus de qualificaci en la base de dades.</td>
		</tr>
	</logic:notPresent>	
	
	</tbody>
	</table>     
	<label class="error"><html:errors property="tipusQualificacioError" /></label>       
        </td></tr></table>        
        </body>
</html> 