<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ page language="java"%>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean"%> 
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html"%>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-logic" prefix="logic" %>
 
<%
 String editUsuari = (String) request.getAttribute("editUsuari");
 boolean bEditUsuari = false;
 if (editUsuari != null && !editUsuari.equals(""))
	 bEditUsuari = true;
 
  
%> 
 
 
<html> 
        <head>
                <title>Selecci d'assignatures</title>
                <link rel="stylesheet" href="./jsp/css/style_menu.css" type="text/css" media="screen">
        </head>
        <body>
        
        	<table class="main"><tr><td>
   			<jsp:include page="../index.jsp"/></td></tr>
   			<tr><td>
        
                <html:form action="cercaAssignatura">
                	<html:hidden property="tipusConsulta"/>
                
                    <div class="panelHeader" style="border-bottom-width: 1px;border-bottom-style: solid;border-bottom-color: #ccc;background-color: #114070;color: #FFFFFF">
						<h2>Cercador d'assignatures</h2> 
			 		</div>
			 		
                        <div class="panel" style="background-color: #E8ECF6;border-color: #ccc;border-style: solid;border-width: 1px;">
                        
                        <div class="panelHeader" style="border-bottom-width: 1px;border-bottom-style: solid;border-bottom-color: #ccc;background-color: #B5C4E5;">
							<b>Parmetres de cerca</b>
						</div>
						
                        <table width="100%"  border="0" cellpadding="1" cellspacing="0" bgcolor="#FFFFFF">
                                <tbody>
                               		<tr>
                                        <td><label class="label">Codi:</label></td>
                                        <td>
                                        	<html:text styleClass="textfield_short" property="codiAssignatura" size="10" maxlength="10"/>
                                        	<label class="error"><html:errors property="codiAssignatura"/></label>
                                        </td>
                                        <td><label class="label">Descripci:</label></td>
                                        <td>
                                        	<html:text styleClass="textfield" property="descripcio" size="50" maxlength="50"/>
                                        	<label class="error"><html:errors property="descripcio"/></label>
                                        </td>
                                	</tr>

                                	<tr>
                                		<td></td>
                                		<td></td>
                                		<td></td>
                                		<td></td>
                                		<td>
	                   						<button id="cerca" type="submit" title="Cerca"></button>
    	               						<button id="neteja" type="reset" title="Neteja"></button>
                   						</td>  
                                		
                                	</tr>
                                </tbody>
                        </table>
                        
                        <% if (!bEditUsuari) { %>
                        	<html:hidden property="do" value="selectorAssignatura" />  
                        <% } %>
		
						<% if (bEditUsuari) { %>
							<html:hidden property="do" value="selectorProfessorAssignatura" />
						<% } %>
                        </div>
                       
                </html:form>
                
                <label class="error"><html:errors property="cursAssignaturaError" /></label>
    <br>
    	<table  border="1" width="100%">
	<tbody>
	
	<tr>
		<td class="capcalera">Codi</td>
		<td class="capcalera">Descripci</td>
		<td class="capcalera">Estat</td>
		<td width="10" class="capcalera">&nbsp;</td>
	</tr>
	
	<logic:iterate name="cercaAssignaturaForm" property="assignatures" id="assignatura">
	<tr>
		<%-- Assignatura --%>
		<td class="resultats"><bean:write name="assignatura" property="codiAssignatura" /></td>
		<td class="resultats"><bean:write name="assignatura" property="descripcio" /></td>
		<td class="resultats" align="center"><bean:write name="assignatura" property="descEstat" /></td>
		
		<% if (!bEditUsuari) { %>
			<td class="resultats" width="10">
				<html:link action="editCurs.do?do=afegeixAssignatura"
					   paramName="assignatura" 
					   paramProperty="id" 
					   paramId="idAssignatura">
					<html:img title="Afegeix" src="./jsp/images/add.png"></html:img>	   
				</html:link>
			</td>
		<% } %>
		
		<% if (bEditUsuari) { %>
			<td class="resultats" width="10">
				<html:link action="editUsuari.do?do=afegeixAssignatura"
					   paramName="assignatura" 
					   paramProperty="id" 
					   paramId="id">
					<html:img title="Afegeix" src="./jsp/images/add.png"></html:img>					   
				</html:link>
			</td>					  
		<% } %>					   
		
	</tr>
	</logic:iterate>
	 
	<logic:notPresent name="assignatura">
		<tr>
			<td class="resultats" colspan="4">Cap assignatura seleccionada.</td>
		</tr>
	</logic:notPresent>	
	
	</tbody>
	</table>      
	
	<% if (!bEditUsuari) { %>
		<button id="retorna" type="button" title="Tornar" onclick="location.href='editCurs.do?do=retornSelectorAssignatura'"></button>        
     <% } %>
		
	<% if (bEditUsuari) { %>
		<button id="retorna" type="button" title="Tornar" onclick="location.href='editUsuari.do?do=retornSelectorAssignatura'"></button>
     <% } %>
		
		</td></tr></table>           
        </body>
</html> 